Bug 705892 - Gedit crashes when launching root documents as root
Gedit crashes when launching root documents as root
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-05-18 15:39 EDT by Brandon
Modified: 2012-08-16 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-16 11:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brandon 2011-05-18 15:39:18 EDT
Description of problem:
Whenever I launch gedit from bash with the directory location of a document written as root as the argument, Gedit spits this out at me:

""[root@ashley gnupg-2.0.17]# gedit /home/Brandon/gnupg_make.txt 

(gedit:22356): EggSMClient-WARNING **: Failed to connect to the session manager: None of the authentication protocols specified are supported

GLib-GIO:ERROR:gdbusconnection.c:2270:initable_init: assertion failed: (connection->initialization_error == NULL)
Aborted (core dumped)""

So I'm kind of annoyed with this because I usually use Guake and it also happens in the Terminal that comes with Fedora.

Version-Release number of selected component (if applicable):

Gedit: 2.30.4

How reproducible:
Every time

Steps to Reproduce:
1. Create a document and save it as root
2. Log in as root
3. Type gedit with the directory of the document following the command
Actual results:

Expected results:
Umm... to work...? :P

Additional info:
Comment 1 Brandon 2011-05-18 15:57:10 EDT
But this will work in Eshell through Emacs. So I would guess that something in bash is having a hiccup..?
Comment 2 Sebastian Krämer 2012-05-03 14:40:16 EDT
Working for me (with bash) in F17 Beta (Terminal, 'su -', $GUI-EDITOR on root-owned file). (Hadn't checked with previous Fedora versions.)
Comment 3 Fedora End Of Life 2012-08-16 11:37:32 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.